#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-base-1.18.3

- Next

  gst-plugins-bad-1.18.3

- Up
- Home

# gst-plugins-good-1.18.3

## Introduction to GStreamer Good Plug-ins

The GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality code, correct functionality, and the preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). A wide range of video and audio decoders, encoders, and filters are included.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.18.3.tar.xz

- Download MD5 sum: 82aff1bfbc179bc126fbe1a2876eca52

- Download size: 3.1 MB

- Estimated disk space required: 101 MB (with tests)

- Estimated build time: 0.6 SBU (Using parallelism=4; with tests)

### GStreamer Good Plug-ins Dependencies

#### Required

gst-plugins-base-1.18.3

#### Recommended

Cairo-1.17.2+f93fc72c03e, FLAC-1.3.3, gdk-pixbuf-2.42.2, LAME-3.100, libgudev-234, libjpeg-turbo-2.0.6, libpng-1.6.37, libsoup-2.72.0, libvpx-1.9.0, Mesa-20.3.4, mpg123-1.26.4, NASM-2.15.05, and Xorg Libraries

#### Optional

AAlib-1.4rc5, ALSA OSS-1.1.8, GTK+-3.24.25 (for examples), libdv-1.0.0, PulseAudio-14.2, Qt-5.15.2, Speex-1.2.0, taglib-1.12, Valgrind-3.16.1, v4l-utils-1.20.0, Wayland-1.19.0, hotdoc, JACK, libcaca, libavc1394, libiec61883, libraw1394, libshout, Orc, TwoLame, and WavPack

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gst10-plugins-good

## Installation of GStreamer Good Plug-ins

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Good Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           -Dbuildtype=release \
           -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.18.3 BLFS" &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/share/gstreamer-1.0/presets

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  gst-plugins-base-1.18.3

- Next

  gst-plugins-bad-1.18.3

- Up
- Home